Retrieve IntegrationConfig
Retrieve the integration configuration for the entity
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
UUID of the organization
The entity to retrieve the configuration for.
Query Parameters
UUID of the entity to retrieve IntegrationConfigs for
Destination type to retrieve IntegrationConfigs for
UUID of the destination to retrieve IntegrationConfigs for
nextToken for multi page retrievals
Number of configs to retrieve per page
1 <= x <= 200Response
Return the IntegrationConfig
Response containing an IntegrationRun entity.
The UUID of the entity.
The type of entity the integration run is for. Two options:
- Bill
- Notification
1The unique identifier (UUID) of the entity the integration run is for.
1The destination system for the integration run.
The version number:
- Create: On initial Create to insert a new entity, the version is set at 1 in the response.
- Update: On successful Update, the version is incremented by 1 in the response.
The DateTime when this item was created (in ISO-8601 format).
The DateTime when this item was last modified (in ISO-8601 format).
The ID of the user who created this item.
The ID of the user who last modified this item.
The date and time the integration run was started (in ISO-8601 format).
The date and time the integration was completed. (in ISO-8601 format).
Identifier of the destination
Describes any errors encountered during the integration run.
The URL of the entity in the destination system if available.
The external ID in the destination system if available.
ID of the parent integration run, or null if this is a parent integration run
ID of the integration run this was replayed from, or null if this is not a replay